Subject: bug#30073: 27.0.50; dired-do-delete ignores customization for short answers

From: Eli Zaretskii <[email-masked]>
Date: Mon, 15 Jan 2018 07:19:24 +0200

> From: Juri Linkov <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  [email-masked]
> Date: Mon, 15 Jan 2018 00:53:45 +0200
> 
> What I'm thinking about is introducing a boolean customizable variable
> that would define whether abbreviated answers are preferred by the user.
> Then a new minibuffer-reading function could accept a list of abbreviations
> and map them to long full answers.
> 
> Something like ‘read-multiple-choice’ or ‘map-y-or-n-p’, but that
> would allow either long or short answers depending on customization
> like ‘rmail-confirm-expunge’, ‘url-confirmation-func’,
> ‘org-confirm-shell-link-function’, ‘org-confirm-elisp-link-function’,
> or on its argument like ‘strong-query’ in ‘custom-command-apply’.
> 
> WDYT?

Why limit this to Dired?  People who use fset to get y-or-n-p want
that everywhere, right?